<?php

use Illuminate\Support\Facades\Route;

use App\Http\Controllers\Api\SeminarSignUpController;

Route::prefix('signup')->group(function () {
    Route::post('/insertData', [SeminarSignUpController::class, 'insertData']);
    Route::get('/getData', [SeminarSignUpController::class, 'getData']);
    Route::get('/mail', [SeminarSignUpController::class, 'mailToUser']);
});


Route::get('/getSessions', function () {
    return response()->json([
      ['id' => 1, 'title' => '場次1', 'url' => 'https://static01.nyt.com/images/2014/08/10/magazine/10wmt/10wmt-articleLarge-v4.jpg'],
      ['id' => 2, 'title' => '場次2', 'url' => 'https://static01.nyt.com/images/2014/08/10/magazine/10wmt/10wmt-articleLarge-v4.jpg'],
      ['id' => 3, 'title' => '場次3', 'url' => 'https://static01.nyt.com/images/2014/08/10/magazine/10wmt/10wmt-articleLarge-v4.jpg'],
    ]);
});

// Fow AWS ELB 健康檢查
Route::get('/health-check', function () {
    return response('healthy');
});

?>
